View Issue Details

IDProjectCategoryView StatusLast Update
0024349mantisbtapi soappublic2018-04-29 19:21
ReporterOlenaTatarintsevaAssigned Tovboctor 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version2.13.1 
Target Version2.13.2Fixed in Version2.13.2 
Summary0024349: API method mc_filter_get does not work
Description

API method mc_filter_get returns:
Error Type: SYSTEM NOTICE,
Error Description: Undefined index: id

Additional Information

File: mc_filter_api.php
line 102: $t_filter['id'] = (int)$t_filter_row['id'];

TagsNo tags attached.

Relationships

related to 0024335 closedvboctor Get all filter or specific filter returns incorrect information 

Activities

atrol

atrol

2018-04-23 10:34

developer   ~0059653

Didn't try, but I assume this will be fixed with fix for 0024335

Can you test if https://github.com/mantisbt/mantisbt/pull/1341 fixes your issue?

OlenaTatarintseva

OlenaTatarintseva

2018-04-24 09:10

reporter   ~0059663

I tried with mentioned change, but it returns:

Error Type: SYSTEM NOTICE,
Error Description: Undefined index: filter_string

vboctor

vboctor

2018-04-24 21:17

manager   ~0059671

@OlenaTatarintseva PR updated to fix the SOAP API issue raised here:
https://github.com/mantisbt/mantisbt/pull/1341

OlenaTatarintseva

OlenaTatarintseva

2018-04-25 06:51

reporter   ~0059680

It looks Ok now. Thank you.

Related Changesets

MantisBT: master-2.13 b739c9f9

2018-04-21 15:55:24

vboctor

Details Diff
Fix filter APIs

The filter API was broken by recent refactoring causing it to return invalid id, name, public, and extra _filter_id.
This broke both REST and SOAP APIs.

Fixes 0024335, 0024349
Affected Issues
0024335, 0024349
mod - core/classes/FilterConverter.class.php Diff File
mod - core/filter_api.php Diff File

Issue History

Date Modified Username Field Change
2018-04-23 10:24 OlenaTatarintseva New Issue
2018-04-23 10:34 atrol Status new => feedback
2018-04-23 10:34 atrol Note Added: 0059653
2018-04-23 10:36 atrol Relationship added related to 0024335
2018-04-24 09:10 OlenaTatarintseva Note Added: 0059663
2018-04-24 09:10 OlenaTatarintseva Status feedback => new
2018-04-24 21:17 vboctor Assigned To => vboctor
2018-04-24 21:17 vboctor Status new => assigned
2018-04-24 21:17 vboctor Target Version => 2.13.2
2018-04-24 21:17 vboctor Note Added: 0059671
2018-04-25 06:51 OlenaTatarintseva Note Added: 0059680
2018-04-25 07:10 atrol Note View State: 0059680: public
2018-04-27 20:38 vboctor Changeset attached => MantisBT master-2.13 b739c9f9
2018-04-27 20:38 vboctor Status assigned => resolved
2018-04-27 20:38 vboctor Resolution open => fixed
2018-04-27 20:38 vboctor Fixed in Version => 2.13.2
2018-04-29 19:21 vboctor Status resolved => closed